zenilib: zenilib/jni/external/freetype2/src/cache/ftcmru.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
ftcmru.c File Reference
`#include <ft2build.h>`
`#include <FT_CACHE_H>`
`#include "ftcmru.h"`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include "ftcerror.h"`

Go to the source code of this file.

## Functions

| FTC_MruList_Done (FTC_MruList list)
| FTC_MruList_Init (FTC_MruList list, FTC_MruListClass clazz, FT_UInt max_nodes, FT_Pointer data, FT_Memory memory)
| FTC_MruList_New (FTC_MruList list, FT_Pointer key, FTC_MruNode *anode)
| FTC_MruList_Remove (FTC_MruList list, FTC_MruNode node)
| FTC_MruList_RemoveSelection (FTC_MruList list, FTC_MruNode_CompareFunc selection, FT_Pointer key)
| FTC_MruList_Reset (FTC_MruList list)
| FTC_MruNode_Prepend (FTC_MruNode *plist, FTC_MruNode node)
| FTC_MruNode_Remove (FTC_MruNode *plist, FTC_MruNode node)
| FTC_MruNode_Up (FTC_MruNode *plist, FTC_MruNode node)

## Function Documentation

FTC_MruList_Done | ( | FTC_MruList | list | ) |

Definition at line 195 of file ftcmru.c.

References FTC_MruList_Reset().

Referenced by ftc_gcache_done(), and FTC_Manager_Done().

FTC_MruList_Init | ( | FTC_MruList | list,
|  | FTC_MruListClass | clazz,
|  | FT_UInt | max_nodes,
|  | FT_Pointer | data,
|  | FT_Memory | memory
| ) |  |

Definition at line 169 of file ftcmru.c.

References NULL.

Referenced by ftc_gcache_init(), and FTC_Manager_New().

FTC_MruList_New | ( | FTC_MruList | list,
|  | FT_Pointer | key,
|  | FTC_MruNode * | anode
| ) |  |

Definition at line 236 of file ftcmru.c.

References error, FT_ALLOC, FT_ASSERT, FT_FREE, FTC_MruNode_Prepend(), FTC_MruNode_Remove(), FTC_MruNode_Up(), and NULL.

FTC_MruList_Remove | ( | FTC_MruList | list,
|  | FTC_MruNode | node
| ) |  |

Definition at line 308 of file ftcmru.c.

References FT_FREE, and FTC_MruNode_Remove().

Referenced by FTC_MruList_RemoveSelection(), and FTC_MruList_Reset().

FTC_MruList_RemoveSelection | ( | FTC_MruList | list,
|  | FTC_MruNode_CompareFunc | selection,
|  | FT_Pointer | key
| ) |  |

Definition at line 327 of file ftcmru.c.

References FTC_MruList_Remove(), and NULL.

Referenced by ftc_face_node_done(), and FTC_Manager_RemoveFaceID().

FTC_MruList_Reset | ( | FTC_MruList | list | ) |

Definition at line 185 of file ftcmru.c.

References FT_ASSERT, and FTC_MruList_Remove().

Referenced by FTC_Manager_Reset(), and FTC_MruList_Done().

FTC_MruNode_Prepend | ( | FTC_MruNode * | plist,
|  | FTC_MruNode | node
| ) |  |

Definition at line 29 of file ftcmru.c.

Referenced by FTC_MruList_New(), and ftc_node_mru_link().

FTC_MruNode_Remove | ( | FTC_MruNode * | plist,
|  | FTC_MruNode | node
| ) |  |

Definition at line 122 of file ftcmru.c.

References FT_ASSERT, and NULL.

Referenced by FTC_MruList_New(), FTC_MruList_Remove(), and ftc_node_mru_unlink().

FTC_MruNode_Up | ( | FTC_MruNode * | plist,
|  | FTC_MruNode | node
| ) |  |

Definition at line 73 of file ftcmru.c.

References FT_ASSERT, and NULL.

Referenced by FTC_MruList_New().